Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Non-templates messages
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Non-templates messages
    • Interactive
      • URL button
      • List buttons
      • Media carousel
      • Reply buttons
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
  1. Non-templates messages

Location

POST
https://rest.qikberry.ai/v1/whatsapp/messages
Send a location that customers can view directly in WhatsApp. The location includes a map preview along with the location name and address, making it easy for customers to navigate.
location_img.png
Location Message
A Location Message includes the following details:
Latitude – Geographic latitude of the location.
Longitude – Geographic longitude of the location.
Name – Name of the location.
Address – Physical address of the location.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "location",
    "location": {
        "latitude": 12.971599,
        "longitude": 77.594566,
        "name": "Qikberry Office",
        "address": "Bengaluru, Karnataka, India"
    }
}'
Response Response Example
200 - SUCCESS
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-29 11:14:11
Previous
Image
Next
Video
Built with